VSTGUI: MouseDownUpMoveEvent Struct Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | Public Attributes | Static Public Attributes | Protected Member Functions | List of all members
MouseDownUpMoveEvent Struct Reference
New classes » Version 4.11

MouseDownUpMoveEvent. More...

`#include <events.h>`

Inheritance diagram for MouseDownUpMoveEvent:

## Public Member Functions
void | ignoreFollowUpMoveAndUpEvents (bool state)
bool | ignoreFollowUpMoveAndUpEvents ()
Public Member Functions inherited from Event
| Event () noexcept
| Event (const Event &)=delete
Event & | operator= (const Event &)=delete
| Event (Event &&)=default
Event & | operator= (Event &&)=default

## Public Attributes
uint32_t | clickCount {0}
Public Attributes inherited from MouseEvent
MouseEventButtonState | buttonState
Public Attributes inherited from MousePositionEvent
CPoint | mousePosition
Public Attributes inherited from ModifierEvent
Modifiers | modifiers {}
| pressed modifiers More...
Public Attributes inherited from Event
EventType | type {EventType::Unknown}
| Type. More...
uint64_t | id
| Unique ID. More...
uint64_t | timestamp
| Timestamp. More...
EventConsumeState | consumed
| Consumed? If this is true, event dispatching is stopped. More...

## Static Public Attributes
static constexpr uint32_t | IgnoreFollowUpEvents = EventConsumeState::Last
static constexpr uint32_t | IgnoreFollowUpEventsMask = 1 << IgnoreFollowUpEvents

## Protected Member Functions
| MouseDownUpMoveEvent ()=default
| MouseDownUpMoveEvent (const CPoint &pos, MouseEventButtonState buttons, Modifiers mods={})

## Detailed Description

MouseDownUpMoveEvent.

## Constructor & Destructor Documentation

## ◆ MouseDownUpMoveEvent() [1/2]

MouseDownUpMoveEvent | ( |  | ) |
| protecteddefault

## ◆ MouseDownUpMoveEvent() [2/2]

MouseDownUpMoveEvent | ( | const CPoint & | pos,
|  | MouseEventButtonState | buttons,
|  | Modifiers | mods = `{}`
| ) |  |
| inlineprotected

## Member Function Documentation

## ◆ ignoreFollowUpMoveAndUpEvents() [1/2]

bool ignoreFollowUpMoveAndUpEvents | ( |  | ) |
| inline

## ◆ ignoreFollowUpMoveAndUpEvents() [2/2]

void ignoreFollowUpMoveAndUpEvents | ( | bool | state | ) |
| inline

## Member Data Documentation

## ◆ clickCount

uint32_t clickCount {0}

## ◆ IgnoreFollowUpEvents

constexpr uint32_t IgnoreFollowUpEvents = EventConsumeState::Last
| staticconstexpr

## ◆ IgnoreFollowUpEventsMask

constexpr uint32_t IgnoreFollowUpEventsMask = 1 << IgnoreFollowUpEvents
| staticconstexpr

The documentation for this struct was generated from the following file:

- events.h